<?php
require __DIR__.'/config.php';
$key_dir = dirname(dirname(__DIR__)) . '/tests/ssl';
$serv = new swoole_server("0.0.0.0", 9501, SWOOLE_BASE, SWOOLE_SOCK_TCP | SWOOLE_SSL);

$serv->set(array(
    'open_length_check' => true,
    'dispatch_mode' => 1,
    'worker_num' => 1,
    'package_length_type' => 'N',
    'package_length_offset' => 0,       //第N个字节是包长度的值
    'package_body_offset' => 4,       //第几个字节开始计算长度
    'package_max_length' => 2000000,  //协议最大长度
    'ssl_cert_file' => $key_dir . '/ssl.crt',
    'ssl_key_file' => $key_dir . '/ssl.key',
));

function send(swoole_server $serv, $fd, $data)
{
    $serv->send($fd, $data);
    echo "#send =" . strlen($data) . " bytes\n";
}

$serv->on('connect', function ($serv, $fd){
	echo "Client:Connect.\n";
});

$serv->on('receive', function (swoole_server $serv, $fd, $from_id, $data) {
    //$req = unserialize(substr($data, 4));
   // echo "#{$serv->worker_id}>> received length=" . strlen($data) . ", SerId: {$req['int1']}\n";
    echo "recv ".strlen($data)."\n";
    $serv->send($fd, pack('N', 0));
//    global $loop2;
//    for ($j = 0; $j < $loop2; $j++)
//    {
//        send($serv, $fd, $data);
//    }
});

$serv->on('close', function ($serv, $fd) {
	echo "Client: Close.\n";
});
$serv->start();
